<script type="text/javascript">
$(document).ready(function() {
    /* Build the DataTable with third column using our custom sort functions */
	$('select').select2();
    var oTable = $("#test").dataTable( {
        "iDisplayLength": 10,
		 "aLengthMenu": [5,10,25,50,100],
		 "asSorting": [ "asc"], "aTargets": [ 1 ],
		 "sPaginationType": "full_numbers", "aoColumns": [ { 
		 	"bSortable": false }, 
			null,
			null,
			null,
			null,
			null, { 
			"bSortable": false } ]});
     oTable.fnSort( [ [1,'asc'] ] );
	 $("table .checkall1").live("click", "checkall1",function(){           
		$(oTable.fnGetNodes()).find(':checkbox').prop('checked', this.checked);
	});
    $("table.editable").on("click",".edit",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_edit").dialog("open");
    });
    $("#row_edit").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,
        buttons: {
            "Continue...": function() {
				window.location.href = "<?php echo base_url() ?>receiveItems/editReceiveItem/" + ID;		
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });    
});


function changeList(){
	var addyear = $('#add_year option:selected').val();
	var addper = $('#add_period option:selected').val();
	var urls = "<?php echo base_url();?>purchasetransaction/receiveItemPosting/"+addyear+"/"+addper;
		window.location = urls;
}

function updatePosting(){
	var addyear = $('#add_year option:selected').val();
	var addper = $('#add_period option:selected').val();
   		var oTable = $("#test").dataTable( );
	if(addyear != null && addper != null){
			$(oTable.fnGetNodes()).find(':checkbox').each(function () {
        if($(this).is(':checked')){
			var fldid = $('td:first', $(this).parents('tr')).text(); 
			var effdate = $('td:eq(5)', $(this).parents('tr')).text();
			//var mode = $('#mode').val(); 
			var postData = {
				'fldid' : fldid,
				'effdate' : effdate,
			};
 			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>purchasetransaction/receiveItemPost/",
				data: postData ,
	  			async: false,
  				success: function(content){
				}
			}); 
		}
	});
	window.location.reload(true);
	}else{
		return false;
	}
}
function selectYearPeriod(obj){
		var year = obj.value;
			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>glreports/get_TrialBalance_year/"+year,
				data: year,
	  			async: false,
  				success: function(content){
						jQuery("#add_period").empty();
					if(content.status == "success") {
						var items = [];
					//items.push('<option>-Please Select-</option>');
						for ( var i = 0; i < content.message.length; i++) {
							items.push('<option value="'+content.message[i].ID+'">'
							+ content.message[i].financialPeriod + '</option>');
						}  //end for
						jQuery("#add_period").empty();
						jQuery("#add_period").append(items.join('</br>'));
					} else {
						$("#error").html('<p>'+content.message+'</p>');
					} //end if
			} //end success
				
			}); //end ajax
}

</script>



<div id="content">                        
<div class="wrap">
<div class="head">
	<div class="info">
		<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
			<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>
			<ul class="breadcrumb">
            	<li><a href="#"><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                <li><a href="#"><?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                <li class="active"><?php echo $this->lang->line('title') ?></li>
            </ul>
	</div>
	<div class="search">
		<form action="<?php echo base_url() ?>admin/search" method="post">
			<input name="search_text" type="text" placeholder="search..."/>                                
            <button type="submit"><span class="i-magnifier"></span></button>
		</form>
	</div>                        
</div><!-- head --> 
<div class="content">
<div class="wrap">                    
	<div class="row-fluid">
		<div class="span12">
        	<div class="block">
            	<div class="head">
                    	<h2><?php echo $this->lang->line('title') ?></h2>
                    </div><!-- head -->
				<div class="content np">    
                	<div class="controls-row"><!-- Row 4-->
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo form_label($this->lang->line('year'),'add_year');?></div>
						<?php
							$preselyear = $selyear;
							$options = '';
							foreach($yrs as $row){
								$options[$row] = $row;
							}
							$js='onchange="selectYearPeriod(this)" class="input-medium validate[required]" id="add_year"';

							echo form_dropdown('add_year', $options, $preselyear, $js);
						?>       
                        </div>
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo form_label($this->lang->line('period'),'add_period');?></div>
						<?php
							$preselperiod = $selper;
							$options = '';
							$options[] = $this->lang->line('period');
							if($period){
								foreach($period as $row){
									$options[$row->period] = $row->financialPeriod;
								}
							}
							$js='class="input-medium validate[required]" id="add_period" style="width:75%"';

							echo form_dropdown('add_period', $options, $preselperiod, $js);
						?>       
                        </div>
						<div class="span2 tac">
                        <?php 
							$data = array(
									'name'=>'mysubmit', 
									'class'=>'btn btn-small btn-primary');
									$js="onClick='changeList()'";
							echo form_button($data,$this->lang->line('submit'),$js);
							?>
                        </div>
                 	</div><!-- End Row 4-->
				</div><!-- content -->
            	<div class="head">
                	<h2><?php echo $this->lang->line('titlelist');?></h2>
                    	<ul class="buttons">
                        </ul>                                       
                </div>
            	<div class="content np table-sorting">
            	<table cellpadding="0" cellspacing="0" width="100%" id="test" class="editable">
                	<thead>
                    <tr>
            			<th style="display:none"></th>
            			<th class="tac">#</th>
                        <th><?php echo $this->lang->line('purchaseOrderNo');?></th>
						<th><?php echo $this->lang->line('supplierName');?></th>
            			<th><?php echo $this->lang->line('supplierDoNo');?></th>
                        <th class="tac"><?php echo $this->lang->line('poDate');?></th>
                        <th class="tac"><input type='checkbox' id='checkall1' class='checkall1'/></th>
            		</tr>
        			</thead>
       				 <tbody>
			<?php $bil = 0;
			//echo var_dump($datatbls); 
				if($datatbls){
				foreach($datatbls as $datatbl):
				$bil++?>
            	<tr>
                	<td style="display:none" ><?php echo $datatbl->ID; ?></td>	
                	<td><?php echo $bil; ?></td>
                    <td><a title="Edit" class="btn btn-mini btn-link edit"><?php echo $datatbl->formNo.'['.$this->FormSetup_model->getFormSerialNo_zeroLeading($datatbl->ID).']'; ?></a></td>
                	<td><?php echo $datatbl->supplierName ?></td>
                    <td><?php echo $datatbl->supplierDoNo ?></td>
                    <td class="tac"><?php echo date(element('dtFormat', $this->session->userdata('logged_in')), strtotime($datatbl->deliveryDate)); ?></td>
					<td class="tac"><input type='checkbox' class='checkbox' name='updateAble' id='updateAble' value='1'/></td>	
                </tr>
            <?php endforeach; }?>
					</tbody>
			</table>
            <?php
            echo"<div class='footer'>
            	<div class='side fr'>
                	<div class='btn-group'>";
							$data = array(
									'name'=>'updatePosting', 
									'class'=>'btn btn-warning');
							$js='onclick="updatePosting()"';
							echo form_submit($data,$this->lang->line('updatePosting'),$js);
                    echo"</div>
                </div>
            </div>";
			?>                                        
			</div>
<div class="dialog" id="row_edit" style="display: none;" title="Edit ?">
    <p><?php echo $this->lang->line('message2');?></p>
</div>  

